FaucetsApi - interface

export
interface

  FaucetsApiInterface

### Hierarchy

- FaucetsApiInterface

### Implemented by

- FaucetsApi

## Index

### Methods

- runFaucetBtc
- runFaucetBtcRaw
- runFaucetStx
- runFaucetStxRaw

## Methods

### runFaucetBtc

- runFaucetBtc(requestParameters: RunFaucetBtcRequest, initOverrides?: RequestInit): Promise< RunFaucetResponse >

- - Defined in src/generated/apis/FaucetsApi.ts:53

  Get BTC tokens for the testnet Get BTC tokens

  #### Parameters

  - ##### requestParameters: RunFaucetBtcRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RunFaucetResponse >

### runFaucetBtcRaw

- runFaucetBtcRaw(requestParameters: RunFaucetBtcRequest, initOverrides?: RequestInit): Promise< ApiResponse < RunFaucetResponse >>

- - Defined in src/generated/apis/FaucetsApi.ts:47

  Get BTC tokens for the testnet

  summary

    Get BTC tokens

  throws

    {RequiredError}

  memberof

    FaucetsApiInterface

  #### Parameters

  - ##### requestParameters: RunFaucetBtcRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RunFaucetResponse >>

### runFaucetStx

- runFaucetStx(requestParameters: RunFaucetStxRequest, initOverrides?: RequestInit): Promise< RunFaucetResponse >

- - Defined in src/generated/apis/FaucetsApi.ts:70

  Get STX tokens for the testnet Get STX tokens

  #### Parameters

  - ##### requestParameters: RunFaucetStxRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RunFaucetResponse >

### runFaucetStxRaw

- runFaucetStxRaw(requestParameters: RunFaucetStxRequest, initOverrides?: RequestInit): Promise< ApiResponse < RunFaucetResponse >>

- - Defined in src/generated/apis/FaucetsApi.ts:64

  Get STX tokens for the testnet

  summary

    Get STX tokens

  throws

    {RequiredError}

  memberof

    FaucetsApiInterface

  #### Parameters

  - ##### requestParameters: RunFaucetStxRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RunFaucetResponse >>

Generated using TypeDoc